{ system ? builtins.currentSystem, pkgs ? import <nixpkgs> { } }:

let
  sources = import ./nix/sources.nix;
  callPackage = pkgs.lib.callPackageWith (pkgs // self);
  x = callPackage ./pkgs/x { };
  quickserv = callPackage sources.quickserv { };

  self = {
    # nix tools
    dockerImage = callPackage ./pkgs/dockerImage.nix { };
    srcNoTarget = import ./pkgs/srcNoTarget.nix;

    # zig
    zig = callPackage ./pkgs/zig.nix { };

    # other
    MoonPlus = callPackage ./pkgs/moonplus { };
    minica = callPackage ./pkgs/minica { };

    # lojban
    johaus = callPackage ./pkgs/johaus { };
    jvozba = callPackage ./pkgs/jvozba { };

    # Go tools
    gopls = callPackage ./pkgs/gopls { };

    # OpenRGB
    #OpenRGB = callPackage ./pkgs/openrgb { };

    # x
    appsluggr = x.appsluggr;
    dnsd = x.dnsd;
    license = x.license;
    mainsanow = x.mainsanow;
    prefix = x.prefix;

    inherit quickserv x;
  };
in self
